## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Interface SybaseAuthorizationIdentifier

All Superinterfaces:
  AuthorizationIdentifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  SybaseASABaseGroup, SybaseASABaseUser, SybaseASEGroup, SybaseASERole, SybaseASEUser

All Known Implementing Classes:
  SybaseASABaseGroupImpl, SybaseASABaseUserImpl, SybaseASACatalogBaseGroup, SybaseASACatalogBaseUser, SybaseASECatalogGroup, SybaseASECatalogLocalRole, SybaseASECatalogRole, SybaseASECatalogUser, SybaseASEGroupImpl, SybaseASERoleImpl, SybaseASEUserImpl, SybaseAuthorizationIdentifierImpl

    public interface SybaseAuthorizationIdentifier

extends AuthorizationIdentifier

A representation of the model object 'Sybase Authorization Identifier'.

The following features are supported:

- `Sql Container`

See Also:
  `SybasesqlmodelPackage.getSybaseAuthorizationIdentifier()`

Method Summary
`SQLObject` `getSqlContainer()` Returns the value of the 'Sql Container' reference.
`void` `setSqlContainer(SQLObject value)` Sets the value of the '`Sql Container`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.AuthorizationIdentifier
`getDatabase, getGrantedPrivilege, getGrantedRoleAuthorization, getOwnedSchema, getReceivedPrivilege, getReceivedRoleAuthorization, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSqlContainer

    SQLObject getSqlContainer()

  Returns the value of the 'Sql Container' reference.

  If the meaning of the 'Sql Container' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sql Container' reference.
  See Also:
    `setSqlContainer(SQLObject)`, `SybasesqlmodelPackage.getSybaseAuthorizationIdentifier_SqlContainer()`

### setSqlContainer

    void setSqlContainer(SQLObject value)

  Sets the value of the '`Sql Container`' reference.

  Parameters:
    `value` - the new value of the 'Sql Container' reference.
  See Also:
    `getSqlContainer()`